Bug 135429 - "Documentation" Submenu does not appear after package installation
"Documentation" Submenu does not appear after package installation
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-menus (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Nickell
David Lawrence
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-10-12 13:20 EDT by John Ha
Modified: 2014-08-04 18:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-04 07:03:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ha 2004-10-12 13:20:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040929 Epiphany/1.4.0

Description of problem:
I'm trying to create .desktop entries for the documentation packages
for the RHEL 4 Documentation CD. The current .desktop entry does not
show up in a "Documentation" submenu of the Main Menu, as it did in
previous releases. For example, the RPM that I built in beehive:

/misc/redhat/beehive/comps/docs/4E/rhel-ig-x8664-multi-en/4-1/noarch/rhel-ig-x8664-multi-en-4-1.noarch.rpm

installs the .desktop file on the users local system:

/usr/share/applications/rhel-ig-x8664-en.desktop

And here's the contents of that .desktop file:

[Desktop Entry]
Name=Installation Guide for x86, Itanium, AMD64 and Intel EM64T
Comment=Read about installing Red Hat Enterprise Linux
Exec=htmlview file:/usr/share/doc/rhel-ig-x8664-multi-en-4/index.html
Icon=//usr/share/doc/rhel-ig-x8664-multi-en-4/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a documentation package specfile with a .desktop entry that
uses "Categories=Documentation;X-Red-Hat-Base;"
2. Build the RPM
3. Install the RPM.

Actual Results:  No "Documentation" submenu appears in the main menu
when a documentation package is installed.

Expected Results:  A "Documentation" submenu should appear that
includes a menu entry for any documentation packages installed on the
system.

Additional info:
Comment 1 Seth Nickell 2004-11-01 12:07:47 EST
I'm not sure how to handle this, but the number of submenus is tightly
controlled and I don't think we should have a "Documentation" submenu
under the "Applications" menu.
Comment 4 Seth Nickell 2004-11-03 16:44:50 EST
What items would be in this menu?
Comment 5 John Ha 2004-11-04 13:34:15 EST
Technically, any items that use the
Categories=Documentation;X-Redhat-Base;" would use it.

For our purposes, all the Red Hat Enterprise Linux OS and product
manuals that we create RPMs for will install its files in
/usr/share/doc/<manual>/, and will create a desktop file in the menus
that calls htmlview.
Comment 6 Seth Nickell 2004-11-04 15:11:47 EST
Sorry, let me rephrase. What are the specific menu items you are
considering for RHEL4?
Comment 9 Seth Nickell 2004-11-15 12:05:45 EST
OK, added a patch to the RHEL-4 redhat-menus that should make this
work, but I don't know how to get it moved into the build.
Comment 11 John Ha 2004-11-23 17:39:26 EST
I can confirm that the "Documentation" subdirectory does appear in the
Applications menu when a documentation RPM is installed. Thank you for
your work on this issue :)
Comment 12 Jay Turner 2004-12-04 07:03:03 EST
redhat-menus-3.7.1-2 is included in re1201.0.  Closing out.

Note You need to log in before you can comment on or make changes to this bug.